Skip to main content
GET
/
v1
/
custom-field
/
search
cURL
curl --request GET \
  --url https://platform.thena.ai/v1/custom-field/search \
  --header 'x-api-key: <api-key>'
import requests

url = "https://platform.thena.ai/v1/custom-field/search"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://platform.thena.ai/v1/custom-field/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "name": "<string>",
      "uid": "<string>",
      "slug": "<string>",
      "organizationId": "<string>",
      "options": [
        "<string>"
      ],
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "isActive": true,
      "teamId": "<string>",
      "autoAddToAllForms": true,
      "hintText": "<string>",
      "placeholderText": "<string>",
      "mandatoryOnCreation": true,
      "mandatoryOnClose": true,
      "visibleToCustomer": true,
      "editableByCustomer": true,
      "defaultValue": "<string>"
    }
  ],
  "status": true,
  "message": "<string>",
  "timestamp": "2023-11-07T05:31:56Z"
}
{
"message": "No search term provided",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00Z"
}

Authorizations

x-api-key
string
header
required

Enter your API key

Query Parameters

term
string
required

Search term to find custom fields by name

Example:

"priority"

teamId
string

Filter by specific team ID

Example:

"team_01jb4xm9qr3kv5w8n2p7s9t1"

onlyTeamFields
boolean

Show only team-specific fields

Example:

false

Response

Operation successful

data
object[]
required
status
boolean
required
message
string
required
timestamp
string<date-time>
required